## horizon 18.6.4

=== debian/changelog ===
horizon (4:18.6.4-0ubuntu1~cloud2) focal-victoria; urgency=medium

  * d/p/get-ports-directly.patch: Get ports directly instead of via
    loop (LP: #1943639).

 -- Nicolas Bock <nicolas.bock@canonical.com>  Tue, 05 Sep 2023 20:26:29 +0000

horizon (4:18.6.4-0ubuntu1~cloud1) focal-victoria; urgency=medium

  * d/p/lp1827120.patch: Fix missing project_id in application credential
    create when user has both project+domain admin role (LP: #1827120).

 -- Rodrigo Barbieri <rodrigo.barbieri@canonical.com>  Mon, 05 Dec 2022 14:42:06 +0000

horizon (4:18.6.4-0ubuntu1~cloud0) focal-victoria; urgency=medium

  * New stable point release for OpenStack Victoria (LP: #1976543).
  * d/p/ubuntu_settings.patch: Rebased.
  * d/p/0001-Fix-for-Resize-instance-button.patch: Droped. Fixed in
    upstream release.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 01 Jun 2022 14:06:09 -0400

horizon (4:18.6.3-0ubuntu1~cloud1) focal-victoria; urgency=medium

  * d/p/0001-Fix-for-Resize-instance-button.patch: Fixes resize instance
    widget (LP: #1940834).

 -- Hemanth Nakkina <hemanth.nakkina@canonical.com>  Thu, 24 Mar 2022 09:31:25 +0530

horizon (4:18.6.3-0ubuntu1~cloud0) focal-victoria; urgency=medium

  * New stable point release for OpenStack Victoria (LP: #1962772).

 -- Felipe Reyes <felipe.reyes@canonical.com>  Wed, 02 Mar 2022 16:41:29 -0300

horizon (4:18.6.2-0ubuntu1~cloud0) focal-victoria; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Mon, 19 Apr 2021 16:14:02 +0000

horizon (4:18.6.2-0ubuntu1) groovy; urgency=medium

  * d/watch: Add trailing slash to URL
  * New stable point release for OpenStack Victoria (LP: #1923035).

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Thu, 08 Apr 2021 13:33:31 +0000

horizon (4:18.6.1-0ubuntu1.1) groovy; urgency=medium

  * d/gbp.conf: Create stable/victoria branch.
  * d/control: Ensure min version of python3-swiftclient can get
    capabilities when using ceph radosgw swift API (LP: #1902944).

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 06 Nov 2020 16:02:29 -0500

horizon (4:18.6.1-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Thu, 15 Oct 2020 12:44:16 +0000

horizon (4:18.6.0-0ubuntu1) groovy; urgency=medium

  [ Chris MacNaughton ]
  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.

  [ Corey Bryant ]
  * New upstream release for OpenStack Victoria.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 09 Oct 2020 12:06:34 -0400

horizon (3:19.0.0~b3~git2020091105.79e505520-0ubuntu1) groovy; urgency=medium

  * d/control: Remove Breaks/Replaces that are older than Focal (LP: #1878419).
  * New upstream snapshot for OpenStack Victoria.

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Fri, 11 Sep 2020 05:38:11 +0000

horizon (3:19.0.0~b2~git2020073014.eb86389fa-0ubuntu1) groovy; urgency=medium

  * New upstream snapshot for OpenStack Victoria.
  * d/bundle-xstatic.sh: Stop putting xstatic original tar into ../build-area.
    debuild needs it to be in ../ along with the horizon original tarball so
    that's where it should be placed.

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Thu, 30 Jul 2020 14:47:30 +0000

horizon (3:19.0.0~b1~git2020071408.99ffd59a5-0ubuntu1) groovy; urgency=medium

  * New upstream snapshot for OpenStack Victoria.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 14 Jul 2020 08:43:44 -0400

horizon (3:18.4.2~git2020070209.392bc2482-0ubuntu1) groovy; urgency=medium

  * New upstream snapshot for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/fix-skipped-config-files.patch: Dropped. Fixed upstream.
  * d/control: Update Standards-Version to 4.5.0.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 02 Jul 2020 09:31:46 -0400

horizon (3:18.3.2-0ubuntu2) groovy; urgency=medium

  * d/p/fix-skipped-config-files.patch: Ensure that config files
    are included in the package (LP: #1872671).

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Fri, 12 Jun 2020 11:20:25 +0100

horizon (3:18.3.2-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Ussuri (LP: #1877642).

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 12 May 2020 16:15:28 -0400

=== debian/control ===
Source: horizon
Section: net
Priority: extra
Maintainer: Chuck Short <zulcss@ubuntu.com>
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 python3-astroid (>= 2.1.0),
 python3-babel (>= 2.3.4),
 python3-bandit (>= 1.4.0),
 python3-cinderclient (>= 1:5.0.0),
 python3-coverage (>= 4.0),
 python3-debtcollector (>= 1.2.0),
 python3-django (>= 2:2.2),
 python3-django-compressor (>= 2.0),
 python3-django-debreach (>= 1.4.2),
 python3-django-pyscss (>= 2.0.2),
 python3-doc8 (>= 0.6.0),
 python3-futurist (>= 1.2.0),
 python3-glanceclient (>= 1:2.8.0),
 python3-heatclient (>= 1.10.0),
 python3-iso8601 (>= 0.1.11),
 python3-keystoneauth1 (>= 3.4.0),
 python3-keystoneclient (>= 1:3.22.0),
 python3-memcache (>= 1.59),
 python3-mock (>= 2.0.0),
 python3-mox3 (>= 0.20.0),
 python3-netaddr (>= 0.7.18),
 python3-neutronclient (>= 1:6.7.0),
 python3-novaclient (>= 2:9.1.0),
 python3-openstackdocstheme (>= 2.2.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.policy (>= 1.30.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.upgradecheck (>= 0.1.1),
 python3-oslo.utils (>= 3.33.0),
 python3-osprofiler (>= 2.3.0),
 python3-pint (>= 0.5),
 python3-pymongo (>= 3.0.2),
 python3-pyscss (>= 1.3.7),
 python3-requests (>= 2.14.2),
 python3-semantic-version (>= 2.3.1),
 python3-six (>= 1.10.0),
 python3-swiftclient (>= 1:3.9.0-0ubuntu1.1~),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 python3-tz (>= 2013.6),
 python3-xvfbwrapper (>= 0.1.3),
 python3-yaml (>= 3.12),
Standards-Version: 4.5.0
Homepage: https://launchpad.net/horizon
Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/horizon
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/horizon

Package: openstack-dashboard
Architecture: all
Depends:
 adduser,
 apache2 | httpd,
 libapache2-mod-wsgi-py3 (>= 2.3),
 python3-django-horizon (= ${source:Version}),
 ${misc:Depends},
Description: Django web interface for OpenStack
 The OpenStack Dashboard is a reference implementation of a Django site that
 uses the Django-Nova project to provide web based interactions with the
 OpenStack Nova cloud controller.

Package: openstack-dashboard-ubuntu-theme
Architecture: all
Depends:
 openstack-dashboard (= ${source:Version}),
 ${misc:Depends},
Description: Transitional dummy package for Ubuntu theme for Horizon
 This transitional package is safe to remove and use openstack-dashboard
 instead, which now contains the Ubuntu theme.

Package: python3-django-horizon
Section: python
Architecture: all
Depends:
 openstack-dashboard-common (= ${binary:Version}),
 python3-django-openstack-auth (= ${source:Version}),
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 memcached,
Description: Django module providing web based interaction with OpenStack (Python 3)
 The Django-Nova project is a Django module that is used to provide web based
 interactions with the OpenStack Nova cloud controller.
 .
 This package provides the Python 3 module.

Package: python3-django-openstack-auth
Architecture: all
Depends:
 python3-babel (>= 2.3.4),
 python3-cinderclient (>= 1:5.0.0),
 python3-debtcollector (>= 1.2.0),
 python3-django (>= 2:2.2),
 python3-django-compressor (>= 2.0),
 python3-django-debreach (>= 1.4.2),
 python3-django-pyscss (>= 2.0.2),
 python3-futurist (>= 1.2.0),
 python3-glanceclient (>= 1:2.8.0),
 python3-heatclient (>= 1.10.0),
 python3-iso8601 (>= 0.1.11),
 python3-keystoneauth1 (>= 3.4.0),
 python3-keystoneclient (>= 1:3.22.0),
 python3-memcache,
 python3-netaddr (>= 0.7.18),
 python3-neutronclient (>= 1:6.7.0),
 python3-novaclient (>= 2:9.1.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.policy (>= 1.30.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.upgradecheck (>= 0.1.1),
 python3-oslo.utils (>= 3.33.0),
 python3-osprofiler (>= 2.3.0),
 python3-pbr (>= 2.0.0),
 python3-pint (>= 0.5),
 python3-pymongo (>= 3.0.2),
 python3-pyscss (>= 1.3.7),
 python3-requests (>= 2.14.2),
 python3-semantic-version (>= 2.3.1),
 python3-six (>= 1.10.0),
 python3-swiftclient (>= 1:3.9.0-0ubuntu1.1~),
 python3-tz (>= 2013.6),
 python3-yaml (>= 3.12),
 ${misc:Depends},
 ${python3:Depends},
Provides:
 python3-openstack-auth,
 ${python3:Provides},
Description: Django authentication backend for Openstack - Python 3
 Django authentication backend for use with the OpenStack Keystone Identity
 backend. This Python module is used by Horizon (the Openstack Dashport web
 GUI) to auth against Keystone.
 .
 This package provides the Python 3 module.

Package: openstack-dashboard-common
Architecture: all
Depends:
 ${misc:Depends},
Description: Django web interface for OpenStack - common files
 The OpenStack Dashboard is a reference implementation of a Django site that
 uses the Django-Nova project to provide web based interactions with the
 OpenStack Nova cloud controller.
 .
 This package provides common files.

## horizon 19.2.0

=== debian/changelog ===
horizon (4:19.2.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release for OpenStack Wallaby.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 13 Apr 2021 13:59:59 -0400

horizon (4:19.1.0-0ubuntu1) hirsute; urgency=medium

  * d/watch: Fix tarball path.
  * New upstream stable point release for OpenStack Wallaby.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 24 Mar 2021 10:55:41 -0400

horizon (4:19.0.0+git2021012814.944902c5c-0ubuntu1) hirsute; urgency=medium

  * New upstream snapshot for OpenStack Wallaby.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 28 Jan 2021 14:17:34 -0500

horizon (4:19.0.0-0ubuntu1) hirsute; urgency=medium

  * d/watch: Scope to 19.x series. 
  * New upstream release for OpenStack Wallaby.
  * d/p/fix-dashboard-django-wsgi.patch: Removed. Upstream removed deprecated file.
  * d/p/ubuntu_settings.patch: Refreshed.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Mon, 07 Dec 2020 14:16:45 +0000

horizon (4:18.6.1-0ubuntu2) hirsute; urgency=medium

  * d/control: Ensure min version of python3-swiftclient can get
    capabilities when using ceph radosgw swift API (LP: #1902944).

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 06 Nov 2020 16:06:35 -0500

## horizon 19.4.0

=== debian/changelog ===
horizon (3:19.4.0-1~bpo11+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream point release.
  * Removed patch applied upstream:
    - CVE-2022-45582_Fix_success_url_parameter_issue_for_Edit_Snapshot.patch

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bullseye-wallaby.debian.net>  Mon, 28 Jul 2025 08:37:39 +0000

horizon (3:19.3.0-1) UNRELEASED; urgency=medium

  * Compile translations at build time.
  * Add fix_ValueError_invalid_content_length_with_swift_over_UWSGI.patch.
  * New upstream release.
  * Add Add-totp-support.patch.
  * CVE-2022-45582: Open redirect/phishing attack via "success_url" parameter,
    add upstream patch: "Fix success_url parameter issue for Edit Snapshot"
    (Closes: #1050518).
  * Add Allow_non-admins_to_cold_migrate_instances.patch.

 -- Thomas Goirand <zigo@debian.org>  Wed, 06 Sep 2023 10:14:31 +0200

horizon (3:19.2.0-6) unstable; urgency=medium

  * Revert previous fix, which is in fact a problem in the fonts-font-awesome
    package and should be handled there: see bug #986220. (Closes: #983853).

 -- Thomas Goirand <zigo@debian.org>  Tue, 07 Sep 2021 13:45:41 +0200

horizon (3:19.2.0-5) unstable; urgency=medium

  * Upload to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Aug 2021 12:11:12 +0200

horizon (3:19.2.0-4) experimental; urgency=medium

  * Fix handling of openstack_dashboard/local/enabled in prerm of
    openstack-dashboard (Closes: #989878).
  * Build the doc in the override_dh_auto_build: target.
  * Add patches:
    - Dont_load_user_role_assignment_or_groups_tabs_for_non-admins.patch
    - do-not-create-volume-by-default-when-launching-instance.patch

 -- Thomas Goirand <zigo@debian.org>  Mon, 28 Jun 2021 10:39:33 +0200

horizon (3:19.2.0-3) experimental; urgency=medium

  * Do not rm -r /usr/lib/python3/dist-packages/openstack_dashboard/local in
    prerm, always create the enable folder in postinst:
    /usr/lib/python3/dist-packages/openstack_dashboard/local/enable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 17 May 2021 17:27:55 +0200

horizon (3:19.2.0-2) experimental; urgency=medium

  * Do not use an enable folder in /etc, as this marks all files from plugins
    as CONFFILE, meaning they aren't removed when plugins are removed, which
    makes Horizon crash (Closes: #987904):
    - In python3-django-horizon.preinst, transform the symlink
      /usr/lib/python3/dist-packages/openstack_dashboard/local/enabled into a
      folder.
    - Remove the symlink creation from the openstack-dashboard.postinst.
    - Add versioned Breaks: on all the Horizon plugins, as they now must push
      the files into that folder instead of /etc.

 -- Thomas Goirand <zigo@debian.org>  Fri, 07 May 2021 11:09:15 +0200

horizon (3:19.2.0-1) experimental; urgency=medium

  * New upstream release.
  * Added python3-freezegun as build-depends.

 -- Thomas Goirand <zigo@debian.org>  Wed, 14 Apr 2021 22:35:01 +0200

horizon (3:19.1.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Debhelper 11.
  * Standards-Version: 4.5.1.

 -- Thomas Goirand <zigo@debian.org>  Mon, 15 Mar 2021 21:46:18 +0100

=== debian/control ===
Source: horizon
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
 Ivan Udovichenko <iudovichenko@mirantis.com>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools,
 po-debconf,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 gettext,
 python3-babel,
 python3-cinderclient,
 python3-coverage <!nocheck>,
 python3-debtcollector,
 python3-django,
 python3-django-compressor,
 python3-django-debreach,
 python3-django-pyscss,
 python3-enmerkar,
 python3-futurist,
 python3-freezegun,
 python3-glanceclient,
 python3-hacking <!nocheck>,
 python3-iso8601 <!nocheck>,
 python3-keystoneauth1,
 python3-keystoneclient,
 python3-memcache,
 python3-netaddr <!nocheck>,
 python3-neutronclient,
 python3-novaclient,
 python3-openstackdocstheme,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.i18n,
 python3-oslo.policy,
 python3-oslo.serialization,
 python3-oslo.upgradecheck,
 python3-oslo.utils,
 python3-osprofiler,
 python3-pep8 <!nocheck>,
 python3-pymongo <!nocheck>,
 python3-pyscss,
 python3-pytest,
 python3-pytest-django,
 python3-pytest-xdist,
 python3-redis,
 python3-requests,
 python3-selenium <!nocheck>,
 python3-semantic-version,
 python3-swiftclient,
 python3-testscenarios,
 python3-testtools <!nocheck>,
 python3-tz <!nocheck>,
 python3-xstatic,
 python3-xstatic-angular,
 python3-xstatic-angular-bootstrap,
 python3-xstatic-angular-fileupload,
 python3-xstatic-angular-gettext,
 python3-xstatic-angular-lrdragndrop,
 python3-xstatic-angular-schema-form,
 python3-xstatic-angular-ui-router,
 python3-xstatic-bootstrap-datepicker,
 python3-xstatic-bootstrap-scss,
 python3-xstatic-bootswatch,
 python3-xstatic-d3,
 python3-xstatic-font-awesome,
 python3-xstatic-hogan,
 python3-xstatic-jasmine,
 python3-xstatic-jquery,
 python3-xstatic-jquery-migrate,
 python3-xstatic-jquery-ui,
 python3-xstatic-jquery.quicksearch,
 python3-xstatic-jquery.tablesorter,
 python3-xstatic-jsencrypt,
 python3-xstatic-magic-search,
 python3-xstatic-mdi,
 python3-xstatic-objectpath,
 python3-xstatic-rickshaw,
 python3-xstatic-roboto-fontface,
 python3-xstatic-smart-table,
 python3-xstatic-spin,
 python3-xstatic-term.js,
 python3-xstatic-tv4,
 python3-xvfbwrapper,
 python3-yaml <!nocheck>,
Build-Conflicts:
 python3-django-openstack-auth,
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/openstack-team/services/horizon
Vcs-Git: https://salsa.debian.org/openstack-team/services/horizon.git
Homepage: https://horizon.openstack.org

Package: horizon-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: web application to control an OpenStack cloud - doc
 The OpenStack Dashboard is a web application to control an OpenStack
 cloud. It connects to OpenStack services such as Nova, Swift, or Keystone
 using the OpenStack REST API just as you would with the command line
 clients.
 .
 This package contains the documentation.

Package: openstack-dashboard
Architecture: all
Depends:
 adduser,
 libjs-jquery,
 libjs-jquery-cookie,
 python3-django-horizon (= ${source:Version}),
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Suggests:
 memcached,
 openstack-dashboard-apache,
Breaks:
 python3-cloudkitty-dashboard (<< 12.0.0-3~),
 python3-designate-dashboard (<< 12.0.0-2~),
 python3-freezer-web-ui (<< 10.0.0-2~),
 python3-heat-dashboard (<< 5.0.0-2~),
 python3-ironic-ui (<< 4.3.0-2~),
 python3-magnum-ui (<< 8.0.0-2~),
 python3-manila-ui (<< 5.0.0-1~),
 python3-masakari-dashboard (<< 4.0.0-2~),
 python3-neutron-vpnaas-dashboard (<< 4.0.0-2~),
 python3-octavia-dashboard (<< 7.0.0-2~),
 python3-sahara-dashboard (<< 14.0.0-1~),
 python3-senlin-dashboard (<< 3.0.0-1~),
 python3-trove-dashboard (<< 16.0.0-2~),
 python3-vitrage-dashboard (<< 3.3.0-2~),
 python3-watcher-dashboard (<< 5.0.0-2~),
 python3-zaqar-ui (<< 10.0.0-2~),
Description: web application to control an OpenStack cloud
 The OpenStack Dashboard is a web application to control an OpenStack
 cloud. It connects to OpenStack services such as Nova, Swift, or Keystone
 using the OpenStack REST API just as you would with the command line
 clients.

Package: openstack-dashboard-apache
Architecture: all
Depends:
 apache2 (>= 2.4),
 debconf,
 libapache2-mod-wsgi-py3,
 openstack-dashboard (= ${source:Version}),
 ${misc:Depends},
Description: web application to control an OpenStack cloud - Apache support
 The OpenStack Dashboard is a web application to control an OpenStack
 cloud. It connects to OpenStack services such as Nova, Swift, or Keystone
 using the OpenStack REST API just as you would with the command line
 clients.
 .
 This package includes the configuration files to use within Apache. If you
 wish to configure Apache yourself, use only openstack-dashboard.

Package: python3-django-horizon
Section: python
Architecture: all
Depends:
 python3-babel,
 python3-cinderclient,
 python3-debtcollector,
 python3-django,
 python3-django-compressor,
 python3-django-debreach,
 python3-django-pyscss,
 python3-enmerkar,
 python3-futurist,
 python3-glanceclient,
 python3-iso8601,
 python3-keystoneauth1,
 python3-keystoneclient,
 python3-memcache,
 python3-netaddr,
 python3-neutronclient,
 python3-novaclient,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.i18n,
 python3-oslo.policy,
 python3-oslo.serialization,
 python3-oslo.upgradecheck,
 python3-oslo.utils,
 python3-osprofiler,
 python3-pbr,
 python3-pymongo,
 python3-pyscss,
 python3-redis,
 python3-requests,
 python3-semantic-version,
 python3-swiftclient,
 python3-tz,
 python3-xstatic,
 python3-xstatic-angular,
 python3-xstatic-angular-bootstrap,
 python3-xstatic-angular-fileupload,
 python3-xstatic-angular-gettext,
 python3-xstatic-angular-lrdragndrop,
 python3-xstatic-angular-schema-form,
 python3-xstatic-angular-ui-router,
 python3-xstatic-bootstrap-datepicker,
 python3-xstatic-bootstrap-scss,
 python3-xstatic-bootswatch,
 python3-xstatic-d3,
 python3-xstatic-font-awesome,
 python3-xstatic-hogan,
 python3-xstatic-jasmine,
 python3-xstatic-jquery,
 python3-xstatic-jquery-migrate,
 python3-xstatic-jquery-ui,
 python3-xstatic-jquery.quicksearch,
 python3-xstatic-jquery.tablesorter,
 python3-xstatic-jsencrypt,
 python3-xstatic-magic-search,
 python3-xstatic-mdi,
 python3-xstatic-objectpath,
 python3-xstatic-rickshaw,
 python3-xstatic-roboto-fontface,
 python3-xstatic-smart-table,
 python3-xstatic-spin,
 python3-xstatic-term.js,
 python3-xstatic-tv4,
 python3-yaml,
 ${misc:Depends},
 ${python3:Depends},
Conflicts:
 python-django-horizon,
 python-django-openstack-auth,
 python-ironic-ui (<< 3.3.0),
 python3-django-openstack-auth,
 python3-ironic-ui (<< 3.3.0),
Provides:
 python-django-horizon,
 python-django-openstack-auth,
 python3-django-openstack-auth,
Suggests:
 memcached,
Description: Django module providing web interaction with OpenStack
 The OpenStack Dashboard is a web application to control an OpenStack
 cloud. It connects to OpenStack services such as Nova, Swift, or Keystone
 using the OpenStack REST API just as you would with the command line
 clients.
 .
 Horizon is a Django module that permits interaction with an OpenStack
 cloud. It can be used to build a dashboard to control an OpenStack cloud.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

override_dh_install:
	echo "Do nothing..."

override_dh_auto_clean:
	python3 setup.py clean
	rm -rf build .coverage
	rm -rf $(CURDIR)/static
	rm -rf $(CURDIR)/horizon/build
	rm -rf $(CURDIR)/horizon.egg-info
	rm -rf $(CURDIR)/openstack_dashboard/openstack_dashboard.egg-info
	rm -rf doc/source/sourcecode
	rm -rf $(CURDIR)/doc/build
	rm -f horizon/openstack_dashboard/test/.secret_key_store
	find $(CURDIR)/openstack_dashboard -iname '*.pyc' -delete
	rm -rf .eggs
	rm -f AUTHORS
	rm -f ChangeLog
	find . -iname '*.pyc' -delete
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done

override_dh_auto_build:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	python3 -m sphinx -b html doc/source debian/horizon-doc/usr/share/doc/horizon-doc/html
endif

override_dh_auto_install:

	# Compile language files
	chmod +x debian/compile-messages
	$(CURDIR)/debian/compile-messages

	set -e && for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install \
			--install-layout=deb \
			--root $(CURDIR)/debian/tmp \
			--no-compile -O0; \
	done

	# Prepare openstack-dashboard folder and copy manage.py
	install -d -m 755 $(CURDIR)/debian/tmp/usr/share/openstack-dashboard
	cp $(CURDIR)/manage.py $(CURDIR)/debian/tmp/usr/share/openstack-dashboard/

	# Move themes folder to standard location
	mv -f $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/openstack_dashboard/themes \
		$(CURDIR)/debian/tmp/usr/share/openstack-dashboard/

	# Create /etc/openstack-dashboard/ and move policy files into
	install -d -m 755 $(CURDIR)/debian/tmp/etc/openstack-dashboard/
	mv -f $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/openstack_dashboard/conf \
		$(CURDIR)/debian/tmp/etc/openstack-dashboard/policy

	# Move conf to standard location
	mv -f $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/openstack_dashboard/local/enabled \
		$(CURDIR)/debian/tmp/etc/openstack-dashboard/
	rm -f $(CURDIR)/debian/tmp/etc/openstack-dashboard/enabled/__init__.py
	rm -f $(CURDIR)/debian/tmp/etc/openstack-dashboard/enabled/*.example

	# Move wsgi file to standard location
	mv $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/openstack_dashboard/wsgi.py \
		$(CURDIR)/debian/tmp/usr/share/openstack-dashboard/

	# Move local_settings.d to /etc and modify local_settings.py
	mv -f $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/openstack_dashboard/local/local_settings.d \
		$(CURDIR)/debian/tmp/etc/openstack-dashboard/
	rm -f $(CURDIR)/debian/tmp/etc/openstack-dashboard/local_settings.d/*.example

	install -d -m 755 $(CURDIR)/debian/tmp/usr/share/openstack-dashboard/examples
	mv -f $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/openstack_dashboard/local/local_settings.py.example \
		$(CURDIR)/debian/tmp/usr/share/openstack-dashboard/examples/local_settings.py

	# Secret key has to be replaced here
	sed -i -e 's/os.path.join(LOCAL_PATH,/os.path.join("\/","var","lib","openstack-dashboard","secret-key",/' $(CURDIR)/debian/tmp/usr/share/openstack-dashboard/examples/local_settings.py

	# Set debug to false in local.settings.d not working as expected
	# So, it needs to be replaced to false directly in local_settings.py
	sed -i -e 's/DEBUG = True/DEBUG = False/g' $(CURDIR)/debian/tmp/usr/share/openstack-dashboard/examples/local_settings.py

	# Move osprofiler conf files to be enabled to standard location
	# and remove /usr/lib/python3/dist-packages/openstack_dashboard/contrib/developer/enabled
	mv -f $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/openstack_dashboard/contrib/developer/enabled/_[0-9]*.py \
		$(CURDIR)/debian/tmp/etc/openstack-dashboard/enabled/
	rm -rf $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/openstack_dashboard/contrib/developer/enabled

	# Remove secret_key_store as we will use it in /var/lib/
	rm -f $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/openstack_dashboard/local/.secret_key_store

	## Delete __pycache__
	find . -name __pycache__ -prune -exec rm -rf {} +;

	## Delete not needed files
	rm -f $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/openstack_dashboard/local/_build*.lock

	dh_install
	dh_missing --fail-missing
	find $(CURDIR)/debian -iname .eslintrc -delete

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	# We should add --compilemessages when the .mo are removed.
	set -e ; set -x ; for i in $(PYTHON3S) ; do \
		http_proxy=127.0.0.1:9 https_proxy=127.0.0.9:9 \
		HTTP_PROXY=127.0.0.1:9 HTTPS_PROXY=127.0.0.1:9 \
		PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages PYTHON=python$$i python$$i -m coverage run -a -m pytest horizon/test/ -n $$(nproc --all) -v --ds=horizon.test.settings -m "not selenium and not integration" ; \
		PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages PYTHON=python$$i python$$i -m coverage run -a -m pytest openstack_dashboard -v --ds=openstack_dashboard.test.settings -m "not selenium and not integration" ; \
		PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages PYTHON=python$$i python$$i -m coverage run -a -m pytest openstack_auth/tests -n $$(nproc --all) -v --ds=openstack_auth.tests.settings -m "not selenium and not integration" ; \
	done
	## Delete __pycache__
	find . -name __pycache__ -prune -exec rm -rf {} +;
endif

## horizon 20.1.0

=== debian/changelog ===
horizon (4:20.1.0-0ubuntu1) impish; urgency=medium

  * d/watch: Scope to 20.x series.
  * New upstream release for OpenStack Xena.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Thu, 07 Oct 2021 11:21:46 +0000

horizon (4:20.0.0+git2021091315.420eaa5ba-0ubuntu1) impish; urgency=medium

  * New upstream snapshot for OpenStack Xena.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 13 Sep 2021 15:55:38 -0400

horizon (4:19.2.0+git2021072116.b58ac2894-0ubuntu1) impish; urgency=medium

  * New upstream snapshot for OpenStack Xena.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 21 Jul 2021 16:50:25 -0400

horizon (4:19.2.0+git2021062815.310a24d05-0ubuntu1) impish; urgency=medium

  * New upstream snapshot for OpenStack Xena.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 28 Jun 2021 15:37:10 -0400

## horizon 20.1.2

=== debian/changelog ===
horizon (4:20.1.2-0ubuntu1) impish; urgency=medium

  * New stable point release for OpenStack Xena (LP: #1972665).
  * Remove patches that have landed upstream:
    - d/p/0001-Fix-for-Resize-instance-button.patch

 -- Felipe Reyes <felipe.reyes@canonical.com>  Mon, 09 May 2022 14:16:55 -0400

horizon (4:20.1.1-0ubuntu2) impish; urgency=medium

  * d/p/0001-Fix-for-Resize-instance-button.patch: Fixes resize instance
    widget (LP: #1940834).

 -- Hemanth Nakkina <hemanth.nakkina@canonical.com>  Thu, 24 Mar 2022 09:58:48 +0530

horizon (4:20.1.1-0ubuntu1) impish; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf: Create stable/xena branch.

  [ Felipe Reyes ]
  * New stable point release for OpenStack Xena (LP: #1962582).

 -- Felipe Reyes <felipe.reyes@canonical.com>  Mon, 28 Feb 2022 22:29:03 +0000

## horizon 20.1.4

=== debian/changelog ===
horizon (3:20.1.4-1~bpo11+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream point release.
  * Removed patches applied upstream:
    - Fix_for_Resize_instance_button.patch
    - CVE-2022-45582_Fix_success_url_parameter_issue_for_Edit_Snapshot.patch

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bullseye-xena.infomaniak.ch>  Mon, 28 Jul 2025 11:57:23 +0000

horizon (3:20.1.1-1) UNSTABLE; urgency=medium

  * New upstream release.
  * Add Add-totp-support.patch.
  * CVE-2022-45582: Open redirect/phishing attack via "success_url" parameter,
    add upstream patch: "Fix success_url parameter issue for Edit Snapshot"
    (Closes: #1050518).
  * Add Allow_non-admins_to_cold_migrate_instances.patch.

 -- Thomas Goirand <zigo@debian.org>  Wed, 06 Sep 2023 10:11:17 +0200

horizon (3:20.1.0-6) unstable; urgency=medium

  * Add Fix_for_Resize_instance_button.patch.

 -- Thomas Goirand <zigo@debian.org>  Wed, 16 Feb 2022 16:19:39 +0100

horizon (3:20.1.0-5) unstable; urgency=medium

  * Add fix_ValueError_invalid_content_length_with_swift_over_UWSGI.patch.

 -- Thomas Goirand <zigo@debian.org>  Tue, 01 Feb 2022 11:53:15 +0100

horizon (3:20.1.0-4) unstable; urgency=medium

  * Update it.po debconf templates translation (Closes: #952798).
  * Update sv.po debconf templates translation (Closes: #994052).
  * Add missing #DEBHELPER# in openstack-dashboard.preinst.

 -- Thomas Goirand <zigo@debian.org>  Wed, 29 Dec 2021 11:01:35 +0100

horizon (3:20.1.0-3) unstable; urgency=medium

  * Do not tweak awesome font stuff in postinst (Closes: #983853).

 -- Thomas Goirand <zigo@debian.org>  Wed, 06 Oct 2021 10:40:17 +0200

horizon (3:20.1.0-2) unstable; urgency=medium

  * Compile translations at build time.

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 Sep 2021 17:04:12 +0200

horizon (3:20.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 24 Sep 2021 11:36:02 +0200

horizon (3:20.0.0+git2020.09.21.27036cc0eb-1) experimental; urgency=medium

  * New upstream release.
  * Add python3-six to (build-)depends.

 -- Thomas Goirand <zigo@debian.org>  Tue, 21 Sep 2021 14:07:00 +0200

horizon (3:20.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends versions for this release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 06 Sep 2021 09:23:18 +0200

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
 Build-Depends-Indep:
  gettext,
  python3-babel,
- python3-cinderclient,
+ python3-cinderclient (>= 1:8.0.0),
  python3-coverage <!nocheck>,
  python3-debtcollector,
  python3-django,
@@ -31,7 +31,7 @@
  python3-glanceclient,
  python3-hacking <!nocheck>,
  python3-iso8601 <!nocheck>,
- python3-keystoneauth1,
+ python3-keystoneauth1 (>= 4.3.1),
  python3-keystoneclient,
  python3-memcache,
  python3-netaddr <!nocheck>,
@@ -44,7 +44,7 @@
  python3-oslo.policy,
  python3-oslo.serialization,
  python3-oslo.upgradecheck,
- python3-oslo.utils,
+ python3-oslo.utils (>= 4.8.0),
  python3-osprofiler,
  python3-pep8 <!nocheck>,
  python3-pymongo <!nocheck>,
@@ -56,6 +56,7 @@
  python3-requests,
  python3-selenium <!nocheck>,
  python3-semantic-version,
+ python3-six,
  python3-swiftclient,
  python3-testscenarios,
  python3-testtools <!nocheck>,
@@ -171,7 +172,7 @@
 Architecture: all
 Depends:
  python3-babel,
- python3-cinderclient,
+ python3-cinderclient (>= 1:8.0.0),
  python3-debtcollector,
  python3-django,
  python3-django-compressor,
@@ -181,7 +182,7 @@
  python3-futurist,
  python3-glanceclient,
  python3-iso8601,
- python3-keystoneauth1,
+ python3-keystoneauth1 (>= 4.3.1),
  python3-keystoneclient,
  python3-memcache,
  python3-netaddr,
@@ -193,7 +194,7 @@
  python3-oslo.policy,
  python3-oslo.serialization,
  python3-oslo.upgradecheck,
- python3-oslo.utils,
+ python3-oslo.utils (>= 4.8.0),
  python3-osprofiler,
  python3-pbr,
  python3-pymongo,
@@ -201,6 +202,7 @@
  python3-redis,
  python3-requests,
  python3-semantic-version,
+ python3-six,
  python3-swiftclient,
  python3-tz,
  python3-xstatic,

## horizon 22.1.0

=== debian/changelog ===
horizon (3:22.1.0-2) unstable; urgency=medium

  * Blacklist test_site_branding_tag() (Closes: #1013488).
  * Add django-4.x-csrf-reasons.patch.
  * Add django-4.x-is_safe_url-is-removed.patch.

 -- Thomas Goirand <zigo@debian.org>  Wed, 29 Jun 2022 11:03:24 +0200

horizon (3:22.1.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 29 Mar 2022 17:26:27 +0200

horizon (3:22.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Fixed (build-)depends for this release.
  * Removed fix_ValueError_invalid_content_length_with_swift_over_UWSGI.patch
    applied upstream.
  * Add relax-python-yaml-depends.patch.

 -- Thomas Goirand <zigo@debian.org>  Fri, 25 Mar 2022 13:30:12 +0100

horizon (3:21.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 28 Feb 2022 14:11:40 +0100

=== debian/rules ===
--- 
+++ 
@@ -103,11 +103,13 @@
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
+	# Blacklist:
+	# test_site_branding_tag: https://bugs.launchpad.net/horizon/+bug/1980214
 	# We should add --compilemessages when the .mo are removed.
 	set -e ; set -x ; for i in $(PYTHON3S) ; do \
 		http_proxy=127.0.0.1:9 https_proxy=127.0.0.9:9 \
 		HTTP_PROXY=127.0.0.1:9 HTTPS_PROXY=127.0.0.1:9 \
-		PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages PYTHON=python$$i python$$i -m coverage run -a -m pytest horizon/test/ -n $$(nproc --all) -v --ds=horizon.test.settings -m "not selenium and not integration" ; \
+		PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages PYTHON=python$$i python$$i -m coverage run -a -m pytest horizon/test/ -n $$(nproc --all) -v --ds=horizon.test.settings -m "not selenium and not integration" -k "not test_site_branding_tag" ; \
 		PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages PYTHON=python$$i python$$i -m coverage run -a -m pytest openstack_dashboard -v --ds=openstack_dashboard.test.settings -m "not selenium and not integration" ; \
 		PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages PYTHON=python$$i python$$i -m coverage run -a -m pytest openstack_auth/tests -n $$(nproc --all) -v --ds=openstack_auth.tests.settings -m "not selenium and not integration" ; \
 	done

## horizon 22.1.1

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
# Order matters to the pip dependency resolver, so sorting this file
# changes how packages are installed.  New dependencies should be
# added in alphabetical order, however, some dependencies may need to
# be installed in a specific order.
#
# PBR should always appear first
pbr>=5.5.0 # Apache-2.0

# Horizon Core Requirements
Babel>=2.6.0 # BSD
debtcollector>=1.2.0 # Apache-2.0
Django>=3.2,<3.3 # BSD
django-compressor>=2.4.1 # MIT
django-debreach>=1.4.2 # BSD License (2 clause)
django-pyscss>=2.0.2 # BSD License (2 clause)
futurist>=1.2.0 # Apache-2.0
iso8601>=0.1.11 # MIT
keystoneauth1>=4.3.1 # Apache-2.0
netaddr>=0.7.18 # BSD
oslo.concurrency>=4.5.0 # Apache-2.0
oslo.config>=8.8.0 # Apache-2.0
oslo.i18n>=5.1.0 # Apache-2.0
oslo.policy>=3.11.0 # Apache-2.0
oslo.serialization>=4.3.0 # Apache-2.0
oslo.upgradecheck>=1.5.0 # Apache-2.0
oslo.utils>=4.12.0 # Apache-2.0
osprofiler>=3.4.2 # Apache-2.0
pymongo!=3.1,>=3.0.2 # Apache-2.0
pyScss>=1.3.7 # MIT License
python-cinderclient>=8.0.0 # Apache-2.0
python-glanceclient>=2.8.0 # Apache-2.0
python-keystoneclient>=3.22.0 # Apache-2.0
python-neutronclient>=6.7.0 # Apache-2.0
python-novaclient>=9.1.0 # Apache-2.0
python-swiftclient>=3.2.0 # Apache-2.0
pytz>=2013.6 # MIT
PyYAML>=6.0 # MIT
requests>=2.25.1 # Apache-2.0
six>=1.16.0 # MIT
semantic-version>=2.3.1 # BSD
XStatic>=1.0.0 # MIT License
XStatic-Angular>=1.5.8.0 # MIT License
XStatic-Angular-Bootstrap>=2.2.0.0 # MIT License
XStatic-Angular-FileUpload>=12.0.4.0 # MIT License
XStatic-Angular-Gettext>=2.3.8.0 # MIT License
XStatic-Angular-lrdragndrop>=1.0.2.2 # MIT License
XStatic-Angular-Schema-Form>=0.8.13.0 # MIT
XStatic-Bootstrap-Datepicker>=1.3.1.0 # Apache 2.0 License
XStatic-Bootstrap-SCSS>=3.3.7.1 # Apache 2.0 License
XStatic-bootswatch>=3.3.7.0 # MIT License
XStatic-D3>=3.5.17.0 # BSD License (3 clause)
XStatic-Hogan>=2.0.0.2 # Apache 2.0 License
XStatic-Font-Awesome>=4.7.0.0 # SIL OFL 1.1 License, MIT License
XStatic-Jasmine>=2.4.1.1 # MIT License
XStatic-jQuery>=1.12.4.1,<2 # MIT License
XStatic-JQuery-Migrate>=1.2.1.1 # MIT License
XStatic-JQuery.quicksearch>=2.0.3.1 # MIT License
XStatic-JQuery.TableSorter>=2.14.5.1 # MIT License
XStatic-jquery-ui>=1.12.1.1 # MIT License
XStatic-JSEncrypt>=2.3.1.1 # MIT License
XStatic-mdi>=1.6.50.2 # SIL OPEN FONT LICENSE Version 1.1
XStatic-objectpath>=1.2.1.0 # MIT
XStatic-Rickshaw>=1.5.0.0 # BSD License (prior)
XStatic-roboto-fontface>=0.5.0.0 # Apache 2.0 License
XStatic-smart-table>=1.4.13.2 # MIT License
XStatic-Spin>=1.2.5.2 # MIT License
XStatic-term.js>=0.0.7.0 # MIT License
XStatic-tv4>=1.2.7.0 # MIT

# enmerkar is not a runtime requirement.
# It is only required when extracting translation strings.
# Most horizon plugins do not have enmerkar in their requirements.txt
# and they depends on horizon requirements, so we keep it here.
enmerkar>=0.7.1 # BSD

=== debian/changelog ===
horizon (3:22.1.1-1~bpo11+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.
  * Removed patch applied upstream:
    - CVE-2022-45582_Fix_success_url_parameter_issue_for_Edit_Snapshot.patch
  * Refreshed patches:
    - django-4.x-is_safe_url-is-removed.patch
    - Add-totp-support.patch

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bullseye-xena.infomaniak.ch>  Fri, 07 Nov 2025 08:23:17 +0000

horizon (3:22.1.0-7) UNRELEASED; urgency=medium

  * Add Add-totp-support.patch.
  * CVE-2022-45582: Open redirect/phishing attack via "success_url" parameter,
    add upstream patch: "Fix success_url parameter issue for Edit Snapshot"
    (Closes: #1050518).
  * Add Allow_non-admins_to_cold_migrate_instances.patch.

 -- Thomas Goirand <zigo@debian.org>  Wed, 06 Sep 2023 10:37:37 +0200

horizon (3:22.1.0-6) unstable; urgency=medium

  * Also blacklist test_rbac_panels in autopkgtest (Closes: #1018787).

 -- Thomas Goirand <zigo@debian.org>  Mon, 05 Sep 2022 15:19:18 +0200

horizon (3:22.1.0-5) unstable; urgency=medium

  * Fix django-4.x-csrf-reasons.patch so it works with Django 3.x too
    (Closes: #1017288).

 -- Thomas Goirand <zigo@debian.org>  Mon, 15 Aug 2022 14:58:05 +0200

horizon (3:22.1.0-4) unstable; urgency=medium

  * Add Make-site_branding-tag-work-with-Django-4.0.patch and re-enable
    test_site_branding_tag().

 -- Thomas Goirand <zigo@debian.org>  Thu, 28 Jul 2022 16:53:40 +0200

horizon (3:22.1.0-3) unstable; urgency=medium

  * Add autopkgtest.

 -- Thomas Goirand <zigo@debian.org>  Tue, 05 Jul 2022 11:35:57 +0200

=== debian/control ===
--- 
+++ 
@@ -21,8 +21,8 @@
  python3-cinderclient (>= 1:8.0.0),
  python3-coverage <!nocheck>,
  python3-debtcollector,
- python3-django,
- python3-django-compressor,
+ python3-django (>= 2:3.2),
+ python3-django-compressor (>= 2.4.1),
  python3-django-debreach,
  python3-django-pyscss,
  python3-enmerkar,
@@ -38,14 +38,14 @@
  python3-neutronclient,
  python3-novaclient,
  python3-openstackdocstheme,
- python3-oslo.concurrency,
- python3-oslo.config,
- python3-oslo.i18n,
- python3-oslo.policy,
- python3-oslo.serialization,
- python3-oslo.upgradecheck,
- python3-oslo.utils (>= 4.8.0),
- python3-osprofiler,
+ python3-oslo.concurrency (>= 4.5.0),
+ python3-oslo.config (>= 1:8.8.0),
+ python3-oslo.i18n (>= 5.1.0),
+ python3-oslo.policy (>= 3.11.0),
+ python3-oslo.serialization (>= 4.3.0),
+ python3-oslo.upgradecheck (>= 1.5.0),
+ python3-oslo.utils (>= 4.12.0),
+ python3-osprofiler (>= 3.4.2),
  python3-pep8 <!nocheck>,
  python3-pymongo <!nocheck>,
  python3-pyscss,
@@ -174,8 +174,8 @@
  python3-babel,
  python3-cinderclient (>= 1:8.0.0),
  python3-debtcollector,
- python3-django,
- python3-django-compressor,
+ python3-django (>= 2:3.2),
+ python3-django-compressor (>= 2.4.1),
  python3-django-debreach,
  python3-django-pyscss,
  python3-enmerkar,
@@ -188,14 +188,14 @@
  python3-netaddr,
  python3-neutronclient,
  python3-novaclient,
- python3-oslo.concurrency,
- python3-oslo.config,
- python3-oslo.i18n,
- python3-oslo.policy,
- python3-oslo.serialization,
- python3-oslo.upgradecheck,
- python3-oslo.utils (>= 4.8.0),
- python3-osprofiler,
+ python3-oslo.concurrency (>= 4.5.0),
+ python3-oslo.config (>= 1:8.8.0),
+ python3-oslo.i18n (>= 5.1.0),
+ python3-oslo.policy (>= 3.11.0),
+ python3-oslo.serialization (>= 4.3.0),
+ python3-oslo.upgradecheck (>= 1.5.0),
+ python3-oslo.utils (>= 4.12.0),
+ python3-osprofiler (>= 3.4.2),
  python3-pbr,
  python3-pymongo,
  python3-pyscss,

=== debian/rules ===
--- 
+++ 
@@ -109,7 +109,7 @@
 	set -e ; set -x ; for i in $(PYTHON3S) ; do \
 		http_proxy=127.0.0.1:9 https_proxy=127.0.0.9:9 \
 		HTTP_PROXY=127.0.0.1:9 HTTPS_PROXY=127.0.0.1:9 \
-		PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages PYTHON=python$$i python$$i -m coverage run -a -m pytest horizon/test/ -n $$(nproc --all) -v --ds=horizon.test.settings -m "not selenium and not integration" -k "not test_site_branding_tag" ; \
+		PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages PYTHON=python$$i python$$i -m coverage run -a -m pytest horizon/test/ -n $$(nproc --all) -v --ds=horizon.test.settings -m "not selenium and not integration" ; \
 		PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages PYTHON=python$$i python$$i -m coverage run -a -m pytest openstack_dashboard -v --ds=openstack_dashboard.test.settings -m "not selenium and not integration" ; \
 		PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages PYTHON=python$$i python$$i -m coverage run -a -m pytest openstack_auth/tests -n $$(nproc --all) -v --ds=openstack_auth.tests.settings -m "not selenium and not integration" ; \
 	done

## horizon 23.0.0

=== debian/changelog ===
horizon (3:23.0.0-5+deb12u1) bookworm; urgency=medium

  * CVE-2022-45582: Open redirect/phishing attack via "success_url" parameter,
    add upstream patch: "Fix success_url parameter issue for Edit Snapshot"
    (Closes: #1050518).

 -- Thomas Goirand <zigo@debian.org>  Tue, 05 Sep 2023 11:31:00 +0200

horizon (3:23.0.0-5) unstable; urgency=medium

  * Ignore openstack_dashboard/dashboards/project/backups/tests.py, see
    https://github.com/python/cpython/commit/92a6abf72e7a8274f96edbb5297119d4ff
    (Closes: #1026610).
  * Autopkgtest testing with all available Python interpreter versions.

 -- Thomas Goirand <zigo@debian.org>  Sat, 31 Dec 2022 13:56:48 +0100

horizon (3:23.0.0-4) unstable; urgency=medium

  * Completely remove the test_rbac_panels test to make autopkgtest work.

 -- Thomas Goirand <zigo@debian.org>  Fri, 14 Oct 2022 11:37:55 +0200

horizon (3:23.0.0-3) unstable; urgency=medium

  * autopkgtest: blacklist RbacHorizonTests::test_rbac_panels which fails in
    the debian CI (but not locally on my laptop, not sure why...).

 -- Thomas Goirand <zigo@debian.org>  Fri, 30 Sep 2022 09:40:37 +0200

horizon (3:23.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Sep 2022 14:50:49 +0200

horizon (3:23.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed django-4.x-is_safe_url-is-removed.patch.

 -- Thomas Goirand <zigo@debian.org>  Tue, 20 Sep 2022 15:17:54 +0200

=== debian/control ===
--- 
+++ 
@@ -48,7 +48,7 @@
  python3-osprofiler (>= 3.4.2),
  python3-pep8 <!nocheck>,
  python3-pymongo <!nocheck>,
- python3-pyscss,
+ python3-pyscss (>= 1.4.0),
  python3-pytest,
  python3-pytest-django,
  python3-pytest-xdist,
@@ -62,7 +62,7 @@
  python3-testtools <!nocheck>,
  python3-tz <!nocheck>,
  python3-xstatic,
- python3-xstatic-angular,
+ python3-xstatic-angular (>= 1.8.2),
  python3-xstatic-angular-bootstrap,
  python3-xstatic-angular-fileupload,
  python3-xstatic-angular-gettext,
@@ -177,7 +177,7 @@
  python3-django (>= 2:3.2),
  python3-django-compressor (>= 2.4.1),
  python3-django-debreach,
- python3-django-pyscss,
+ python3-django-pyscss (>= 1.4.0),
  python3-enmerkar,
  python3-futurist,
  python3-glanceclient,
@@ -206,7 +206,7 @@
  python3-swiftclient,
  python3-tz,
  python3-xstatic,
- python3-xstatic-angular,
+ python3-xstatic-angular (>= 1.8.2),
  python3-xstatic-angular-bootstrap,
  python3-xstatic-angular-fileupload,
  python3-xstatic-angular-gettext,

=== debian/watch ===
version=3
opts="uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/horizon/tags .*/(\d[brc\d\.]+)\.tar\.gz

## horizon 23.0.2

=== requirements.txt ===
--- 
+++ 
@@ -1,3 +1,7 @@
+# Note: Requirements lower bounds listed here are our best effort to keep them up to
+# date but we do not test them so there is no guarantee of having them all correct.
+# if you find any incorrect lower bounds, let us know or propose a fix.
+
 # The order of packages is significant, because pip processes them in the order
 # of appearance. Changing the order has an impact on the overall integration
 # process, which may cause wedges in the gate later.
@@ -29,7 +33,7 @@
 oslo.utils>=4.12.0 # Apache-2.0
 osprofiler>=3.4.2 # Apache-2.0
 pymongo!=3.1,>=3.0.2 # Apache-2.0
-pyScss>=1.3.7 # MIT License
+pyScss>=1.4.0 # MIT License
 python-cinderclient>=8.0.0 # Apache-2.0
 python-glanceclient>=2.8.0 # Apache-2.0
 python-keystoneclient>=3.22.0 # Apache-2.0
@@ -42,7 +46,7 @@
 six>=1.16.0 # MIT
 semantic-version>=2.3.1 # BSD
 XStatic>=1.0.0 # MIT License
-XStatic-Angular>=1.5.8.0 # MIT License
+XStatic-Angular>=1.8.2.2 # MIT License
 XStatic-Angular-Bootstrap>=2.2.0.0 # MIT License
 XStatic-Angular-FileUpload>=12.0.4.0 # MIT License
 XStatic-Angular-Gettext>=2.3.8.0 # MIT License

=== debian/changelog ===
horizon (3:23.0.2-1~bpo12+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-zed.infomaniak.ch>  Fri, 26 Sep 2025 08:04:39 +0000

horizon (3:23.0.1-1) UNRELEASED; urgency=medium

  * Add Add-totp-support.patch.
  * New upstream release.
  * Drop fix-manage.py-sheebang.patch applied upstream.
  * Drop CVE-2022-45582_Fix_success_url_parameter_issue_for_Edit_Snapshot.patch
    applied upstream.
  * Add Allow_non-admins_to_cold_migrate_instances.patch.

 -- Thomas Goirand <zigo@debian.org>  Wed, 06 Mar 2024 17:16:41 +0100
